tigase.jaxmpp.core.client.xmpp.modules.presence

## Interface PresenceModule.ContactChangedPresenceHandler

- All Superinterfaces:
    EventHandler
  Enclosing class:
    PresenceModule

      public static interface PresenceModule.ContactChangedPresenceHandler
      extends EventHandler

  Event fired when contact changed his presence.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `PresenceModule.ContactChangedPresenceHandler.ContactChangedPresenceEvent`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onContactChangedPresence(SessionObject sessionObject, Presence stanza, JID jid, Presence.Show show, String status, Integer priority)`

- - ### Method Detail

    - #### onContactChangedPresence

          void onContactChangedPresence(SessionObject sessionObject,
                                        Presence stanza,
                                        JID jid,
                                        Presence.Show show,
                                        String status,
                                        Integer priority)
                                 throws JaxmppException

      Throws:
        `JaxmppException`

Copyright © 2006–2020 Tigase. All rights reserved.